IGMPlot: src/include/output.h File Reference

IGMPlot 3.16 Optimized IGMplot version able to use wfn/wfx/xyz files

Loading...
Searching...
No Matches
Functions | Variables
output.h File Reference

Files writing functions. More...

`#include <reader.h>`
`#include <vmdFileGenerator.h>`
Include dependency graph for output.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | outCube (int cubeType, param_t *params, ProgData *data, double *cubeRho, double *cube)
| Writes down the given cube and some parameters to help interprete it.
void | writeCube (param_t *params, ProgData *data, const char *cubeFileName, double ***rho, double ***cube, const bool usingThreshold=false, const double lowerlimit=0.0, const double upperlimit=0.0, const double defaultValue=0.0)
| Writes down the given cube and some parameters to help interpreting it.
void | outCubeRDG (param_t *params, ProgData *data, double *cube, double *rho, bool *shouldPrint)
| Writes down the given RDG cube and some parameters to help interpreting it.
void | outCubeRho (param_t *params, ProgData *data, double *cube)
| Writes down the given Rho cube and some parameters to help interpreting it.
void | outDat (param_t *params, ProgData *data, Results &results)
| Writes down the given Rho and RDG cubes.
void | outPercent (param_t *params, Results &results, ProgData *data)
| Writes down the percentage participation for each atom to the INTER interactions.
void | outPercentQM (param_t params, ProgData *data, double *dgInterAtSum, double dv, unsigned int nbAtoms)
| Writes down the percentage participation for each atom to the INTER interactions.
void | outVMD (param_t *params, ProgData *data, double max, double deltagIntraMaximumValue, double deltagInterMaximumValue, double dgAtWeakMaxValue)
| Writes down the VM script for visualisation.
void | writeVMDfiles (param_t *params, ProgData *data, double deltagIntraMaximumValue=0.08, double deltagInterMaximumValue=0.01, double dgAtWeakMaxValue=0.05, std::vector< criticalpoint > cpList=std::vector< criticalpoint >(), double max=0.0, double selfmaxrange=0.0)
| Writes down the VM script for visualisation (quantum version)
std::string | getWorkPath ()
| returns a string with the current working path
void | writeXYZ (param_t &params, ProgData *data, unsigned int nbAtoms, positions_t &atomCoordinates)
| write xyz atom coordinates using the xyz file format
void | writeCPTXT (param_t &params, std::vector< criticalpoint > cpList)
| write the cp.txt output file after a critical point analysis
void | writeAtomDOI (param_t params, ProgData *data, double *dgAtSum, double *dgAtSumW, double *dgAtSumW2, double dvi, unsigned int nbAtoms)
| write Atom Degree of Interaction find within the atomi IGM framework
void | writeSelfAtomDat (param_t params, ProgData *data, double *pauliAT, unsigned int nbAtoms)
| write Atom contributions to the Pauli repulsion between two fragments (SELF analysis)

## Variables
const std::string | CUBE_NAMES []
| The cubes' names.
const std::string | KEYWORDS []
| The VMD script's intern keywords.
const int | SCRIPT_NAMES_LENGTH = 3
| TO DOCUMENT.
const std::string | SCRIPT_NAMES []
| The VMD script's type names.

## Detailed Description

Files writing functions.

Author
  Gaetan & Emmanuel

## Function Documentation

## ◆ getWorkPath()

std::string getWorkPath | ( |  | ) |

returns a string with the current working path

Returns
  the current path of the execution

## ◆ outCube()

void outCube | ( | int | cubeType,
|  | param_t * | params,
|  | ProgData * | data,
|  | double * | cubeRho,
|  | double * | cube )

Writes down the given cube and some parameters to help interprete it.

Parameters

  cubeType | : the type of the cube
  params | : the parameters read at the beginning of the program
  data | : the data received at the beginning of the program
  cubeRho | : the cubeRho processed during the program
  cube | : the cube itself

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ outCubeRDG()

void outCubeRDG | ( | param_t * | params,
|  | ProgData * | data,
|  | double * | cube,
|  | double * | rho,
|  | bool * | shouldPrint )

Writes down the given RDG cube and some parameters to help interpreting it.

Parameters

  params | the parameters read at the beginning of the program
  data | the data received at the beginning of the program
  cube | the cube itself
  rho | the density values
  shouldPrint | TO DOCUMENT

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ outCubeRho()

void outCubeRho | ( | param_t * | params,
|  | ProgData * | data,
|  | double * | cube )

Writes down the given Rho cube and some parameters to help interpreting it.

Parameters

  params | the parameters read at the beginning of the program
  data | the data received at the beginning of the program
  cube | the cube itself

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ outDat()

void outDat | ( | param_t * | params,
|  | ProgData * | data,
|  | Results & | results )

Writes down the given Rho and RDG cubes.

Parameters

  params | the parameters read at the beginning of the program
  data | the data received at the beginning of the program
  results | the process results

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ outPercent()

void outPercent | ( | param_t * | params,
|  | Results & | results,
|  | ProgData * | data )

Writes down the percentage participation for each atom to the INTER interactions.

Parameters

  params | the parameters read at the beginning of the program
  results | the results' values, including delta values
  the | program's data

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ outPercentQM()

void outPercentQM | ( | param_t | params,
|  | ProgData * | data,
|  | double * | dgInterAtSum,
|  | double | dv,
|  | unsigned int | nbAtoms )

Writes down the percentage participation for each atom to the INTER interactions.

Parameters

  params | the parameters read at the beginning of the program
  data | to get atom names
  dgInterAtSum | the atomic contribution values
  dv | the elementary volume in the grid
  data | ms the number of atoms in the system

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ outVMD()

void outVMD | ( | param_t * | params,
|  | ProgData * | data,
|  | double | max,
|  | double | deltagIntraMaximumValue,
|  | double | deltagInterMaximumValue,
|  | double | dgAtWeakMaxValue )

Writes down the VM script for visualisation.

Parameters

  params | the parameters read at the beginning of the program
  data | the program's data
  max | the maximum percent found
  deltagIntraMaximumValue | The maximum value found in deltagIntra interaction (useful for VMD files)
  deltagInterMaximumValue | The maximum value found in deltagInter interaction (useful for VMD files)
  dgAtWeakMaxValue | The maximum value of the set of atomic contributions to weak interactions

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ writeAtomDOI()

void writeAtomDOI | ( | param_t | params,
|  | ProgData * | data,
|  | double * | dgAtSum,
|  | double * | dgAtSumW,
|  | double * | dgAtSumW2,
|  | double | dv,
|  | unsigned int | nbAtoms )

write Atom Degree of Interaction find within the atomi IGM framework

Parameters

  params | : input --> to retrieve the output filename
  data | : pointer to a structure containing data like getNbSteps0 ...
  dgAtSum,dgAtSumW,dgAtSumW2 | : input --> atomic scorings
  dv | input --> elementary integration volume
  nbAtoms | the number of atoms in the system

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ writeCPTXT()

void writeCPTXT | ( | param_t & | params,
|  | std::vector< criticalpoint > | cpList )

write the cp.txt output file after a critical point analysis

Parameters

  params | : input --> to retrieve the output filename
  cpList | : input --> structure containing all information about found critical points

Here is the caller graph for this function:

## ◆ writeCube()

void writeCube | ( | param_t * | params,
|  | ProgData * | data,
|  | const char * | cubeFileName,
|  | double *** | rho,
|  | double *** | cube,
|  | const bool | usingRhoThreshold,
|  | const double | lowerlimit,
|  | const double | upperlimit,
|  | const double | defaultValue )

Writes down the given cube and some parameters to help interpreting it.

Parameters

  params | the parameters read at the beginning of the program
  data | the data received at the beginning of the program
  cubeFileName | Specific part of the file name that will contain the cube values (to identify it ). Convention is : params->outputName + "-" + cubeFileName + ".cube"
  rho | the rho values processed during the program
  cube | the cube to write itself
  usingThreshold | if no need of using threshold, everything is written
  lowerlimit | the lower limit of the ED range that allows (or not) writing the cube information
  upperlimit | the upper limit of the ED range that allows (or not) writing the cube information
  defaultValue | the value if the ED value is out of the [lowerlimit:upperlimit] range

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ writeSelfAtomDat()

void writeSelfAtomDat | ( | param_t | params,
|  | ProgData * | data,
|  | double * | pauliAT,
|  | unsigned int | nbAtoms )

write Atom contributions to the Pauli repulsion between two fragments (SELF analysis)

Parameters

  params | : input --> to retrieve the output filename
  data | : pointer to a structure containing data like getNbSteps0 ...
  pauliAT | : input --> atomic scorings
  nbAtoms | the number of atoms in the system

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ writeVMDfiles()

void writeVMDfiles | ( | param_t * | params,
|  | ProgData * | data,
|  | double | deltagIntraMaximumValue,
|  | double | deltagInterMaximumValue,
|  | double | dgAtWeakMaxValue,
|  | std::vector< criticalpoint > | cpList,
|  | double | max,
|  | double | selfmaxrange )

Writes down the VM script for visualisation (quantum version)

Warning
  only use for Quantum computation but will be generic at the end

Parameters

  params | the parameters read at the beginning of the program
  data | the program's data
  deltagIntraMaximumValue | The maximum value found in deltagIntra interaction (useful for VMD files)
  deltagInterMaximumValue | The maximum value found in deltagInter interaction (useful for VMD files)
  dgAtWeakMaxValue | The maximum value of the set of atomic contributions to weak interactions
  cpList | The list of found critical points
  max | the maximum value within the atomic contrib to the INTER interactions
  selfmaxrange | the maximum SELF value to color dg/rho with SELF

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ writeXYZ()

void writeXYZ | ( | param_t & | params,
|  | ProgData * | data,
|  | unsigned int | nbAtoms,
|  | positions_t & | atomCoordinates )

write xyz atom coordinates using the xyz file format

Parameters

  params | : input --> to retrieve the output filename
  data | : pointer to a structure containing data like getNbSteps0 ...
  nbAtoms | : input --> number of atom of the system to be printed
  atomCoordinates | : input --> structure containing information about positions of the atoms (xyz)

Here is the call graph for this function:
Here is the caller graph for this function: